"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.banks = exports.bankAccounts = exports.merchant = exports.partners = exports.contacts = exports.addresses = void 0;

var _addresses = require("./addresses/addresses.js");

var _contacts = require("./contacts/contacts.js");

var _partners = require("./partners/partners.js");

var _merchant = require("./merchant/merchant.js");

var _bankAccounts = require("./bankAccounts/bankAccounts.js");

var _banks = require("./banks/banks.js");

var addresses = (0, _addresses.service)();
exports.addresses = addresses;
var contacts = (0, _contacts.service)();
exports.contacts = contacts;
var partners = (0, _partners.service)();
exports.partners = partners;
var merchant = (0, _merchant.service)();
exports.merchant = merchant;
var bankAccounts = (0, _bankAccounts.service)();
exports.bankAccounts = bankAccounts;
var banks = (0, _banks.service)();
exports.banks = banks;