"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.authorizationsReport = exports.authorizations = exports.profiles = exports.productTypes = exports.brands = void 0;

var _brands = require("./brands/brands.js");

var _productTypes = require("./productTypes/productTypes.js");

var _profiles = require("./profiles/profiles.js");

var _authorizations = require("./authorizations/authorizations.js");

var _authorizationsReport = require("./authorizationsReport/authorizationsReport.js");

var brands = (0, _brands.service)();
exports.brands = brands;
var productTypes = (0, _productTypes.service)();
exports.productTypes = productTypes;
var profiles = (0, _profiles.service)();
exports.profiles = profiles;
var authorizations = (0, _authorizations.service)();
exports.authorizations = authorizations;
var authorizationsReport = (0, _authorizationsReport.service)();
exports.authorizationsReport = authorizationsReport;