"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.remove = exports.set = exports.get = void 0;

var _headers = require("./headers.js");

var AUTH_KEY = 'Authorization';

var get = function get() {
  return (0, _headers.get)()[AUTH_KEY];
};

exports.get = get;

var set = function set(type, token) {
  if (type && token) {
    (0, _headers.append)(AUTH_KEY, "".concat(type, " ").concat(token));
  }
};

exports.set = set;

var remove = function remove() {
  (0, _headers.remove)(AUTH_KEY);
};

exports.remove = remove;