"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.bankAccountsInterface = void 0;

var _slingHelpers = require("sling-helpers");

const bankAccountsInterface = {
  bankId: (0, _slingHelpers.nullable)(Number),
  branchCode: (0, _slingHelpers.nullable)(String),
  branchCodeCheckDigit: (0, _slingHelpers.nullable)(String),
  accountNumber: (0, _slingHelpers.nullable)(String),
  accountNumberCheckDigit: (0, _slingHelpers.nullable)(String),
  accountTypeId: (0, _slingHelpers.nullable)(Number),
  statusId: (0, _slingHelpers.nullable)(Number)
};
exports.bankAccountsInterface = bankAccountsInterface;