import { salesReportModel } from '../../models/salesModels.js';
import { getSalesReport } from '../../core/services/salesService.js';
import { getBrands, getProductTypes } from '../../core/services/transactionsService.js';
export var getSalesReportInfo = function getSalesReportInfo(requestParams, instance) {
  return function (dispatch) {
    var promises = [getSalesReport(requestParams, instance), getBrands(requestParams, instance), getProductTypes(requestParams, instance)];
    Promise.all(promises).then(function (responses) {
      dispatch({
        type: 'GET_SALES_REPORT',
        data: salesReportModel(responses)
      });
    });
  };
};