function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var initialState = {
  brandsInfo: [],
  productTypesInfo: [],
  transactionProfilesInfo: []
};
export default (function () {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  switch (action.type) {
    case 'GET_BRANDS_INFO':
      return _objectSpread({}, state, {
        brandsInfo: action.data
      });

    case 'GET_PRODUCT_TYPES_INFO':
      return _objectSpread({}, state, {
        productTypesInfo: action.data
      });

    case 'GET_TRANSACTION_PROFILES_INFO':
      return _objectSpread({}, state, {
        transactionProfilesInfo: action.data
      });

    default:
      return state;
  }
});