function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance"); }

function _iterableToArrayLimit(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import { mapByKey } from 'sling-helpers';
export var salesReportModel = function salesReportModel(responses) {
  var _responses = _slicedToArray(responses, 3),
      salesReport = _responses[0],
      brands = _responses[1],
      productTypes = _responses[2];

  var productTypeMap = mapByKey(productTypes.data, 'id', 'name');
  var brandsMap = mapByKey(brands.data, 'id', 'name');
  return salesReport.data.map(function (sale) {
    sale.productTypeName = productTypeMap[sale.productTypeId];
    sale.brandName = brandsMap[sale.brandId];
    return sale;
  });
};