import { getRequest, patchRequest } from '../../../helpers/request.js';
import { bankAccountsInterface } from './bankAccountsInterface.js';

export const service = (get = getRequest, patch = patchRequest) => ({
  get: get(params => `v0/affiliation/merchants/${params.affiliationCode}/bank-accounts`),
  patch: patch(params => `v0/affiliation/merchants/${params.affiliationCode}/bank-accounts/` +
    `${params.key}`, bankAccountsInterface),
});
