import * as credentials from './index.js';

describe('Credentials index.js', () => {
  it('Should export exact number of services', () => {
    expect(Object.values(credentials).length).to.be.equal(2);
  });

  it('Should export all expected services', () => {
    expect(credentials.authenticate).to.be.not.undefined;
    expect(credentials.forgotPassword).to.be.not.undefined;
  });
});
