import {
  get as getHeaders,
  append as appendToHeaders,
  remove as removeFromHeaders,
} from './headers.js';

const AUTH_KEY = 'Authorization';

export const get = () => getHeaders()[AUTH_KEY];

export const set = (type, token) => {
  if (type && token) {
    appendToHeaders(AUTH_KEY, `${type} ${token}`);
  }
};

export const remove = () => {
  removeFromHeaders(AUTH_KEY);
};
