"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _bankAccountsInterface = require("./bankAccountsInterface.js");

const service = (get = _request.getRequest, patch = _request.patchRequest) => ({
  get: get(params => `v0/affiliation/merchants/${params.affiliationCode}/bank-accounts`),
  patch: patch(params => `v0/affiliation/merchants/${params.affiliationCode}/bank-accounts/` + `${params.key}`, _bankAccountsInterface.bankAccountsInterface)
});

exports.service = service;