function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var initialState = {
  paymentsCalendarInfo: [],
  paymentOperationsInfo: [],
  paymentDetailsInfo: [],
  paymentDetailsInfoByWalletTypeId: [],
  paymentWalletTypesInfo: [],
  paymentStatusInfo: [],
  paymentOperationsCategoriesInfo: []
};
export default (function () {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  switch (action.type) {
    case 'GET_PAYMENTS_CALENDAR_INFO':
      return _objectSpread({}, state, {
        paymentsCalendarInfo: action.data
      });

    case 'GET_PAYMENT_OPERATIONS_INFO':
      return _objectSpread({}, state, {
        paymentOperationsInfo: action.data
      });

    case 'GET_PAYMENT_DETAILS_INFO':
      return _objectSpread({}, state, {
        paymentDetailsInfo: action.data
      });

    case 'GET_PAYMENT_DETAILS_INFO_BY_WALLET_TYPE_ID':
      return _objectSpread({}, state, {
        paymentDetailsInfoByWalletTypeId: action.data
      });

    case 'GET_PAYMENT_WALLET_TYPES':
      return _objectSpread({}, state, {
        paymentWalletTypesInfo: action.data
      });

    case 'GET_PAYMENT_STATUS':
      return _objectSpread({}, state, {
        paymentStatusInfo: action.data
      });

    case 'GET_PAYMENT_OPERATIONS_CATEGORIES':
      return _objectSpread({}, state, {
        paymentOperationsCategoriesInfo: action.data
      });

    default:
      return state;
  }
});