import thunk from 'redux-thunk';
import { applyMiddleware, createStore } from 'redux';
import { allReducers } from '../reducers/index.js';

export const configureStore = (initialState) => {
  const middleware = applyMiddleware(thunk);
  return createStore(allReducers, initialState, middleware);
};
