import { getPagination } from './pagination.js';

describe('Pagination Helper', () => {
  it('Should call getPagination with parameters.', () => {
    expect(getPagination(1, 25)).to.equal('page=1&pageSize=25');
  });

  it('Should call getPagination without parameters.', () => {
    expect(getPagination()).to.equal('page=0&pageSize=30');
  });
});
