import { service as addressesService } from './addresses/addresses.js';
import { service as contactsService } from './contacts/contacts.js';
import { service as partnersService } from './partners/partners.js';
import { service as merchantService } from './merchant/merchant.js';
import { service as bankAccountsService } from './bankAccounts/bankAccounts.js';
import { service as bankstService } from './banks/banks.js';

const addresses = addressesService();
const contacts = contactsService();
const partners = partnersService();
const merchant = merchantService();
const bankAccounts = bankAccountsService();
const banks = bankstService();

export {
  addresses,
  contacts,
  partners,
  merchant,
  bankAccounts,
  banks,
};
