import { getRequest } from '../../../helpers/request.js';
import { getPagination } from '../../../helpers/pagination.js';

export const service = (get = getRequest) => ({
  get: get((params) => {
    const pagination = getPagination(params.page, params.pageSize);

    return 'v0/payments/operations?affiliationCodes=' +
      `${params.affiliationCodes}&startDate=${params.startDate}` +
      `&finalDate=${params.finalDate}&${pagination}`;
  }),
});
