import sinon from 'sinon';

import { service as brandsService } from './brands.js';

describe('Brands Module', () => {
  it('Should have methods after initialization.', () => {
    const service = brandsService();
    expect(service.get).to.be.a('function');
  });

  it('Should call get request.', () => {
    const spy = sinon.spy();

    const getRequest = () => spy;

    const service = brandsService(getRequest);

    service.get();

    expect(spy).to.have.been.calledOnce;
  });
});
